ranges::next_fn Struct Reference
Iterator

## Public Member Functions

template<typename I >
CPP_TEMPLATE_AUX_0 | c (requires ` input_or_output_iterator< I >) ccconstexpr I operator()(I it
template<typename I >
CPP_TEMPLATE_AUX_0 | c (requires ` input_or_output_iterator< I >) ccconstexpr I operator()(I it) const
template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | c (requires ` sentinel_for< S, I >) ccconstexpr I operator()(I it
template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | c (requires ` sentinel_for< S, I >) ccconstexpr I operator()(I it

## Public Attributes

CPP_TEMPLATE_AUX_0 iter_difference_t< I > n | const
CPP_TEMPLATE_AUX_0 S s | const
CPP_TEMPLATE_AUX_0 iter_difference_t< I > S bound | const
return | it
CPP_TEMPLATE_AUX_0 iter_difference_t< I > | n

## Member Data Documentation

## const [1/3]

CPP_TEMPLATE_AUX_0 iter_difference_t<I> n ranges::next_fn::const

Initial value:
{
advance(it, n)
ranges::advance
constexpr advance_fn advance
Definition: operations.hpp:205

## const [2/3]

CPP_TEMPLATE_AUX_0 S s ranges::next_fn::const

Initial value:
{
advance(it, static_cast<S &&>(s))
ranges::s
CPP_TEMPLATE_AUX_0 s(requires ` forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< C, V const *, projected< I, P >>) sssubrange< I > equal_range(I first
function template equal_range

## const [3/3]

CPP_TEMPLATE_AUX_0 iter_difference_t<I> S bound ranges::next_fn::const

Initial value:
{
advance(it, n, static_cast<S &&>(bound))